@echo off
rem Invoke Setup 
rem 
rem Syntax:   setup.bat  jvm [ javamail ]
rem    where jvm is "java" "jre" "jrew" or "jview"
rem
if "%1" == "" set jvm=java
if "%1" == "" goto java
if "%1" == "?" goto syntax
set jvm=%1
shift
if "%jvm%" == "java" goto java
if "%jvm%" == "javaw" goto java
if "%jvm%" == "jre" goto jre
if "%jvm%" == "jrew" goto jre
if "%jvm%" == "javaw" goto java
if "%jvm%" == "jview" goto jview
goto :syntax

:syntax
echo The setup.bat file creates a "mf.bat" file that is then
echo used to startup MailFaces.
echo Syntax:
echo    setup  javaVM  options
echo        javaVM is "jre","java","javaw" or "jview"
echo        options:  
echo            "-d"      Turns on debug mode  
echo        
goto cancel



:jre 
jre -cp . setup  jre %1 %2 %3 %4 %5 %6 %7
goto done

:jrew 
jre -cp . setup  jrew %1 %2 %3 %4 %5 %6 %7
goto done

:java
set classpath=.
java setup %jvm% %1 %2 %3 %4 %5 %6 %7
goto done

:jview
jview setup jview %1 %2 %3 %4 %5 %6 %7
goto done

:done
rem type mf.bat 

:cancel


